server {

        listen 80 default_server;
        listen [::]:80 default_server;

        server_name _;

        rewrite ^/$ /dm/ permanent;
        rewrite ^/private/$ /dm/ permanent;

        location / {
                root /var/www/web;
                index index.html;
                try_files $uri $uri/ /index.html;
        }

        location ^~ /api/ {
                proxy_pass http://127.0.0.1:4999;
                proxy_http_version 1.1;
                proxy_set_header Host $host;
                proxy_set_header Connection "close";
                proxy_set_header X-Forwarded-Proto $scheme;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }

}

